"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../../..");
beforeAll(() => __awaiter(void 0, void 0, void 0, function* () {
    require('dotenv').config({ path: './config/northwind.env' });
    yield __1.orm.init('./config/northwind.yaml');
}));
describe('Execute', () => {
    const data = { "a": { "id": 1 }, "b": { "minValue": 10, "fromDate": "1997-01-01", "toDate": "1997-12-31" } };
    test('query 1', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.sort(p => p.name)';
        const expected = [{ "id": 17, "name": "Alice Mutton", "supplierId": 7, "categoryId": 6, "quantity": "20 - 1 kg tins", "price": 39, "inStock": 0, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 3, "name": "Aniseed Syrup", "supplierId": 1, "categoryId": 2, "quantity": "12 - 550 ml bottles", "price": 10, "inStock": 13, "onOrder": 70, "reorderLevel": 25, "discontinued": false }, { "id": 40, "name": "Boston Crab Meat", "supplierId": 19, "categoryId": 8, "quantity": "24 - 4 oz tins", "price": 18.4, "inStock": 123, "onOrder": 0, "reorderLevel": 30, "discontinued": false }, { "id": 60, "name": "Camembert Pierrot", "supplierId": 28, "categoryId": 4, "quantity": "15 - 300 g rounds", "price": 34, "inStock": 19, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 18, "name": "Carnarvon Tigers", "supplierId": 7, "categoryId": 8, "quantity": "16 kg pkg.", "price": 62.5, "inStock": 42, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 1, "name": "Chai", "supplierId": 1, "categoryId": 1, "quantity": "10 boxes x 20 bags", "price": 18, "inStock": 39, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 2, "name": "Chang", "supplierId": 1, "categoryId": 1, "quantity": "24 - 12 oz bottles", "price": 19, "inStock": 17, "onOrder": 40, "reorderLevel": 25, "discontinued": false }, { "id": 39, "name": "Chartreuse verte", "supplierId": 18, "categoryId": 1, "quantity": "750 cc per bottle", "price": 18, "inStock": 69, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 4, "name": "Chef Anton's Cajun Seasoning", "supplierId": 2, "categoryId": 2, "quantity": "48 - 6 oz jars", "price": 22, "inStock": 53, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 5, "name": "Chef Anton's Gumbo Mix", "supplierId": 2, "categoryId": 2, "quantity": "36 boxes", "price": 21.35, "inStock": 0, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 48, "name": "Chocolade", "supplierId": 22, "categoryId": 3, "quantity": "10 pkgs.", "price": 12.75, "inStock": 15, "onOrder": 70, "reorderLevel": 25, "discontinued": false }, { "id": 38, "name": "Cte de Blaye", "supplierId": 18, "categoryId": 1, "quantity": "12 - 75 cl bottles", "price": 263.5, "inStock": 17, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 58, "name": "Escargots de Bourgogne", "supplierId": 27, "categoryId": 8, "quantity": "24 pieces", "price": 13.25, "inStock": 62, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 52, "name": "Filo Mix", "supplierId": 24, "categoryId": 5, "quantity": "16 - 2 kg boxes", "price": 7, "inStock": 38, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 71, "name": "Flotemysost", "supplierId": 15, "categoryId": 4, "quantity": "10 - 500 g pkgs.", "price": 21.5, "inStock": 26, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 33, "name": "Geitost", "supplierId": 15, "categoryId": 4, "quantity": "500 g", "price": 2.5, "inStock": 112, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 15, "name": "Genen Shouyu", "supplierId": 6, "categoryId": 2, "quantity": "24 - 250 ml bottles", "price": 15.5, "inStock": 39, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 56, "name": "Gnocchi di nonna Alice", "supplierId": 26, "categoryId": 5, "quantity": "24 - 250 g pkgs.", "price": 38, "inStock": 21, "onOrder": 10, "reorderLevel": 30, "discontinued": false }, { "id": 31, "name": "Gorgonzola Telino", "supplierId": 14, "categoryId": 4, "quantity": "12 - 100 g pkgs", "price": 12.5, "inStock": 0, "onOrder": 70, "reorderLevel": 20, "discontinued": false }, { "id": 6, "name": "Grandma's Boysenberry Spread", "supplierId": 3, "categoryId": 2, "quantity": "12 - 8 oz jars", "price": 25, "inStock": 120, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 37, "name": "Gravad lax", "supplierId": 17, "categoryId": 8, "quantity": "12 - 500 g pkgs.", "price": 26, "inStock": 11, "onOrder": 50, "reorderLevel": 25, "discontinued": false }, { "id": 24, "name": "Guaran Fantstica", "supplierId": 10, "categoryId": 1, "quantity": "12 - 355 ml cans", "price": 4.5, "inStock": 20, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 69, "name": "Gudbrandsdalsost", "supplierId": 15, "categoryId": 4, "quantity": "10 kg pkg.", "price": 36, "inStock": 26, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 44, "name": "Gula Malacca", "supplierId": 20, "categoryId": 2, "quantity": "20 - 2 kg bags", "price": 19.45, "inStock": 27, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 26, "name": "Gumbr Gummibrchen", "supplierId": 11, "categoryId": 3, "quantity": "100 - 250 g bags", "price": 31.23, "inStock": 15, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 22, "name": "Gustaf's Knckebrd", "supplierId": 9, "categoryId": 5, "quantity": "24 - 500 g pkgs.", "price": 21, "inStock": 104, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 10, "name": "Ikura", "supplierId": 4, "categoryId": 8, "quantity": "12 - 200 ml jars", "price": 31, "inStock": 31, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 36, "name": "Inlagd Sill", "supplierId": 17, "categoryId": 8, "quantity": "24 - 250 g  jars", "price": 19, "inStock": 112, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 43, "name": "Ipoh Coffee", "supplierId": 20, "categoryId": 1, "quantity": "16 - 500 g tins", "price": 46, "inStock": 17, "onOrder": 10, "reorderLevel": 25, "discontinued": false }, { "id": 41, "name": "Jack's New England Clam Chowder", "supplierId": 19, "categoryId": 8, "quantity": "12 - 12 oz cans", "price": 9.65, "inStock": 85, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 13, "name": "Konbu", "supplierId": 6, "categoryId": 8, "quantity": "2 kg box", "price": 6, "inStock": 24, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 76, "name": "Lakkalikri", "supplierId": 23, "categoryId": 1, "quantity": "500 ml", "price": 18, "inStock": 57, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 67, "name": "Laughing Lumberjack Lager", "supplierId": 16, "categoryId": 1, "quantity": "24 - 12 oz bottles", "price": 14, "inStock": 52, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 74, "name": "Longlife Tofu", "supplierId": 4, "categoryId": 7, "quantity": "5 kg pkg.", "price": 10, "inStock": 4, "onOrder": 20, "reorderLevel": 5, "discontinued": false }, { "id": 65, "name": "Louisiana Fiery Hot Pepper Sauce", "supplierId": 2, "categoryId": 2, "quantity": "32 - 8 oz bottles", "price": 21.05, "inStock": 76, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 66, "name": "Louisiana Hot Spiced Okra", "supplierId": 2, "categoryId": 2, "quantity": "24 - 8 oz jars", "price": 17, "inStock": 4, "onOrder": 100, "reorderLevel": 20, "discontinued": false }, { "id": 51, "name": "Manjimup Dried Apples", "supplierId": 24, "categoryId": 7, "quantity": "50 - 300 g pkgs.", "price": 53, "inStock": 20, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 32, "name": "Mascarpone Fabioli", "supplierId": 14, "categoryId": 4, "quantity": "24 - 200 g pkgs.", "price": 32, "inStock": 9, "onOrder": 40, "reorderLevel": 25, "discontinued": false }, { "id": 49, "name": "Maxilaku", "supplierId": 23, "categoryId": 3, "quantity": "24 - 50 g pkgs.", "price": 20, "inStock": 10, "onOrder": 60, "reorderLevel": 15, "discontinued": false }, { "id": 9, "name": "Mishi Kobe Niku", "supplierId": 4, "categoryId": 6, "quantity": "18 - 500 g pkgs.", "price": 97, "inStock": 29, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 72, "name": "Mozzarella di Giovanni", "supplierId": 14, "categoryId": 4, "quantity": "24 - 200 g pkgs.", "price": 34.8, "inStock": 14, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 30, "name": "Nord-Ost Matjeshering", "supplierId": 13, "categoryId": 8, "quantity": "10 - 200 g glasses", "price": 25.89, "inStock": 10, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 8, "name": "Northwoods Cranberry Sauce", "supplierId": 3, "categoryId": 2, "quantity": "12 - 12 oz jars", "price": 40, "inStock": 6, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 25, "name": "NuNuCa Nu-Nougat-Creme", "supplierId": 11, "categoryId": 3, "quantity": "20 - 450 g glasses", "price": 14, "inStock": 76, "onOrder": 0, "reorderLevel": 30, "discontinued": false }, { "id": 77, "name": "Original Frankfurter grne Soe", "supplierId": 12, "categoryId": 2, "quantity": "12 boxes", "price": 13, "inStock": 32, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 70, "name": "Outback Lager", "supplierId": 7, "categoryId": 1, "quantity": "24 - 355 ml bottles", "price": 15, "inStock": 15, "onOrder": 10, "reorderLevel": 30, "discontinued": false }, { "id": 16, "name": "Pavlova", "supplierId": 7, "categoryId": 3, "quantity": "32 - 500 g boxes", "price": 17.45, "inStock": 29, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 53, "name": "Perth Pasties", "supplierId": 24, "categoryId": 6, "quantity": "48 pieces", "price": 32.8, "inStock": 0, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 55, "name": "Pt chinois", "supplierId": 25, "categoryId": 6, "quantity": "24 boxes x 2 pies", "price": 24, "inStock": 115, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 11, "name": "Queso Cabrales", "supplierId": 5, "categoryId": 4, "quantity": "1 kg pkg.", "price": 21, "inStock": 22, "onOrder": 30, "reorderLevel": 30, "discontinued": false }, { "id": 12, "name": "Queso Manchego La Pastora", "supplierId": 5, "categoryId": 4, "quantity": "10 - 500 g pkgs.", "price": 38, "inStock": 86, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 59, "name": "Raclette Courdavault", "supplierId": 28, "categoryId": 4, "quantity": "5 kg pkg.", "price": 55, "inStock": 79, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 57, "name": "Ravioli Angelo", "supplierId": 26, "categoryId": 5, "quantity": "24 - 250 g pkgs.", "price": 19.5, "inStock": 36, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 73, "name": "Rd Kaviar", "supplierId": 17, "categoryId": 8, "quantity": "24 - 150 g jars", "price": 15, "inStock": 101, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 75, "name": "Rhnbru Klosterbier", "supplierId": 12, "categoryId": 1, "quantity": "24 - 0.5 l bottles", "price": 7.75, "inStock": 125, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 45, "name": "Rogede sild", "supplierId": 21, "categoryId": 8, "quantity": "1k pkg.", "price": 9.5, "inStock": 5, "onOrder": 70, "reorderLevel": 15, "discontinued": false }, { "id": 28, "name": "Rssle Sauerkraut", "supplierId": 12, "categoryId": 7, "quantity": "25 - 825 g cans", "price": 45.6, "inStock": 26, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 34, "name": "Sasquatch Ale", "supplierId": 16, "categoryId": 1, "quantity": "24 - 12 oz bottles", "price": 14, "inStock": 111, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 27, "name": "Schoggi Schokolade", "supplierId": 11, "categoryId": 3, "quantity": "100 - 100 g pieces", "price": 43.9, "inStock": 49, "onOrder": 0, "reorderLevel": 30, "discontinued": false }, { "id": 68, "name": "Scottish Longbreads", "supplierId": 8, "categoryId": 3, "quantity": "10 boxes x 8 pieces", "price": 12.5, "inStock": 6, "onOrder": 10, "reorderLevel": 15, "discontinued": false }, { "id": 42, "name": "Singaporean Hokkien Fried Mee", "supplierId": 20, "categoryId": 5, "quantity": "32 - 1 kg pkgs.", "price": 14, "inStock": 26, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 20, "name": "Sir Rodney's Marmalade", "supplierId": 8, "categoryId": 3, "quantity": "30 gift boxes", "price": 81, "inStock": 40, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 21, "name": "Sir Rodney's Scones", "supplierId": 8, "categoryId": 3, "quantity": "24 pkgs. x 4 pieces", "price": 10, "inStock": 3, "onOrder": 40, "reorderLevel": 5, "discontinued": false }, { "id": 61, "name": "Sirop d'rable", "supplierId": 29, "categoryId": 2, "quantity": "24 - 500 ml bottles", "price": 28.5, "inStock": 113, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 46, "name": "Spegesild", "supplierId": 21, "categoryId": 8, "quantity": "4 - 450 g glasses", "price": 12, "inStock": 95, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 35, "name": "Steeleye Stout", "supplierId": 16, "categoryId": 1, "quantity": "24 - 12 oz bottles", "price": 18, "inStock": 20, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 62, "name": "Tarte au sucre", "supplierId": 29, "categoryId": 3, "quantity": "48 pies", "price": 49.3, "inStock": 17, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 19, "name": "Teatime Chocolate Biscuits", "supplierId": 8, "categoryId": 3, "quantity": "10 boxes x 12 pieces", "price": 9.2, "inStock": 25, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 29, "name": "Thringer Rostbratwurst", "supplierId": 12, "categoryId": 6, "quantity": "50 bags x 30 sausgs.", "price": 123.79, "inStock": 0, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 14, "name": "Tofu", "supplierId": 6, "categoryId": 7, "quantity": "40 - 100 g pkgs.", "price": 23.25, "inStock": 35, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 54, "name": "Tourtire", "supplierId": 25, "categoryId": 6, "quantity": "16 pies", "price": 7.45, "inStock": 21, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 23, "name": "Tunnbrd", "supplierId": 9, "categoryId": 5, "quantity": "12 - 250 g pkgs.", "price": 9, "inStock": 61, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 7, "name": "Uncle Bob's Organic Dried Pears", "supplierId": 3, "categoryId": 7, "quantity": "12 - 1 lb pkgs.", "price": 30, "inStock": 15, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 50, "name": "Valkoinen suklaa", "supplierId": 23, "categoryId": 3, "quantity": "12 - 100 g bars", "price": 16.25, "inStock": 65, "onOrder": 0, "reorderLevel": 30, "discontinued": false }, { "id": 63, "name": "Vegie-spread", "supplierId": 7, "categoryId": 2, "quantity": "15 - 625 g jars", "price": 43.9, "inStock": 24, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 64, "name": "Wimmers gute Semmelkndel", "supplierId": 12, "categoryId": 5, "quantity": "20 bags x 4 pieces", "price": 33.25, "inStock": 22, "onOrder": 80, "reorderLevel": 30, "discontinued": false }, { "id": 47, "name": "Zaanse koeken", "supplierId": 22, "categoryId": 3, "quantity": "10 - 4 oz boxes", "price": 9.5, "inStock": 36, "onOrder": 0, "reorderLevel": 0, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 2', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.map(p => p).sort(p => p.id).page(1, 1)';
        const expected = [{ "id": 1, "name": "Chai", "supplierId": 1, "categoryId": 1, "quantity": "10 boxes x 20 bags", "price": 18, "inStock": 39, "onOrder": 0, "reorderLevel": 10, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 3', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.sort(p => p.id).page(1, 1)';
        const expected = [{ "id": 1, "name": "Chai", "supplierId": 1, "categoryId": 1, "quantity": "10 boxes x 20 bags", "price": 18, "inStock": 39, "onOrder": 0, "reorderLevel": 10, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 4', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.filter(p => p.id === id).map(p => p).sort(p => p.id)';
        const expected = [{ "id": 1, "name": "Chai", "supplierId": 1, "categoryId": 1, "quantity": "10 boxes x 20 bags", "price": 18, "inStock": 39, "onOrder": 0, "reorderLevel": 10, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 5', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.filter(p => p.id === id).sort(p => p.id)';
        const expected = [{ "id": 1, "name": "Chai", "supplierId": 1, "categoryId": 1, "quantity": "10 boxes x 20 bags", "price": 18, "inStock": 39, "onOrder": 0, "reorderLevel": 10, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 6', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.map(p => ({ category: p.category.name })).sort(p => p.category)';
        const expected = [{ "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Beverages" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Condiments" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Confections" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Dairy Products" }, { "category": "Grains/Cereals" }, { "category": "Grains/Cereals" }, { "category": "Grains/Cereals" }, { "category": "Grains/Cereals" }, { "category": "Grains/Cereals" }, { "category": "Grains/Cereals" }, { "category": "Grains/Cereals" }, { "category": "Meat/Poultry" }, { "category": "Meat/Poultry" }, { "category": "Meat/Poultry" }, { "category": "Meat/Poultry" }, { "category": "Meat/Poultry" }, { "category": "Meat/Poultry" }, { "category": "Produce" }, { "category": "Produce" }, { "category": "Produce" }, { "category": "Produce" }, { "category": "Produce" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }, { "category": "Seafood" }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 7', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.map(p => ({ name: p.name, category: p.category.name })).sort(p => [p.category, p.name])';
        const expected = [{ "name": "Chai", "category": "Beverages" }, { "name": "Chang", "category": "Beverages" }, { "name": "Chartreuse verte", "category": "Beverages" }, { "name": "Cte de Blaye", "category": "Beverages" }, { "name": "Guaran Fantstica", "category": "Beverages" }, { "name": "Ipoh Coffee", "category": "Beverages" }, { "name": "Lakkalikri", "category": "Beverages" }, { "name": "Laughing Lumberjack Lager", "category": "Beverages" }, { "name": "Outback Lager", "category": "Beverages" }, { "name": "Rhnbru Klosterbier", "category": "Beverages" }, { "name": "Sasquatch Ale", "category": "Beverages" }, { "name": "Steeleye Stout", "category": "Beverages" }, { "name": "Aniseed Syrup", "category": "Condiments" }, { "name": "Chef Anton's Cajun Seasoning", "category": "Condiments" }, { "name": "Chef Anton's Gumbo Mix", "category": "Condiments" }, { "name": "Genen Shouyu", "category": "Condiments" }, { "name": "Grandma's Boysenberry Spread", "category": "Condiments" }, { "name": "Gula Malacca", "category": "Condiments" }, { "name": "Louisiana Fiery Hot Pepper Sauce", "category": "Condiments" }, { "name": "Louisiana Hot Spiced Okra", "category": "Condiments" }, { "name": "Northwoods Cranberry Sauce", "category": "Condiments" }, { "name": "Original Frankfurter grne Soe", "category": "Condiments" }, { "name": "Sirop d'rable", "category": "Condiments" }, { "name": "Vegie-spread", "category": "Condiments" }, { "name": "Chocolade", "category": "Confections" }, { "name": "Gumbr Gummibrchen", "category": "Confections" }, { "name": "Maxilaku", "category": "Confections" }, { "name": "NuNuCa Nu-Nougat-Creme", "category": "Confections" }, { "name": "Pavlova", "category": "Confections" }, { "name": "Schoggi Schokolade", "category": "Confections" }, { "name": "Scottish Longbreads", "category": "Confections" }, { "name": "Sir Rodney's Marmalade", "category": "Confections" }, { "name": "Sir Rodney's Scones", "category": "Confections" }, { "name": "Tarte au sucre", "category": "Confections" }, { "name": "Teatime Chocolate Biscuits", "category": "Confections" }, { "name": "Valkoinen suklaa", "category": "Confections" }, { "name": "Zaanse koeken", "category": "Confections" }, { "name": "Camembert Pierrot", "category": "Dairy Products" }, { "name": "Flotemysost", "category": "Dairy Products" }, { "name": "Geitost", "category": "Dairy Products" }, { "name": "Gorgonzola Telino", "category": "Dairy Products" }, { "name": "Gudbrandsdalsost", "category": "Dairy Products" }, { "name": "Mascarpone Fabioli", "category": "Dairy Products" }, { "name": "Mozzarella di Giovanni", "category": "Dairy Products" }, { "name": "Queso Cabrales", "category": "Dairy Products" }, { "name": "Queso Manchego La Pastora", "category": "Dairy Products" }, { "name": "Raclette Courdavault", "category": "Dairy Products" }, { "name": "Filo Mix", "category": "Grains/Cereals" }, { "name": "Gnocchi di nonna Alice", "category": "Grains/Cereals" }, { "name": "Gustaf's Knckebrd", "category": "Grains/Cereals" }, { "name": "Ravioli Angelo", "category": "Grains/Cereals" }, { "name": "Singaporean Hokkien Fried Mee", "category": "Grains/Cereals" }, { "name": "Tunnbrd", "category": "Grains/Cereals" }, { "name": "Wimmers gute Semmelkndel", "category": "Grains/Cereals" }, { "name": "Alice Mutton", "category": "Meat/Poultry" }, { "name": "Mishi Kobe Niku", "category": "Meat/Poultry" }, { "name": "Perth Pasties", "category": "Meat/Poultry" }, { "name": "Pt chinois", "category": "Meat/Poultry" }, { "name": "Thringer Rostbratwurst", "category": "Meat/Poultry" }, { "name": "Tourtire", "category": "Meat/Poultry" }, { "name": "Longlife Tofu", "category": "Produce" }, { "name": "Manjimup Dried Apples", "category": "Produce" }, { "name": "Rssle Sauerkraut", "category": "Produce" }, { "name": "Tofu", "category": "Produce" }, { "name": "Uncle Bob's Organic Dried Pears", "category": "Produce" }, { "name": "Boston Crab Meat", "category": "Seafood" }, { "name": "Carnarvon Tigers", "category": "Seafood" }, { "name": "Escargots de Bourgogne", "category": "Seafood" }, { "name": "Gravad lax", "category": "Seafood" }, { "name": "Ikura", "category": "Seafood" }, { "name": "Inlagd Sill", "category": "Seafood" }, { "name": "Jack's New England Clam Chowder", "category": "Seafood" }, { "name": "Konbu", "category": "Seafood" }, { "name": "Nord-Ost Matjeshering", "category": "Seafood" }, { "name": "Rd Kaviar", "category": "Seafood" }, { "name": "Rogede sild", "category": "Seafood" }, { "name": "Spegesild", "category": "Seafood" }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 8', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.map(p => ({ category: p.category.name, name: p.name, quantity: p.quantity, inStock: p.inStock })).sort(p => p.name)';
        const expected = [{ "category": "Meat/Poultry", "name": "Alice Mutton", "quantity": "20 - 1 kg tins", "inStock": 0 }, { "category": "Condiments", "name": "Aniseed Syrup", "quantity": "12 - 550 ml bottles", "inStock": 13 }, { "category": "Seafood", "name": "Boston Crab Meat", "quantity": "24 - 4 oz tins", "inStock": 123 }, { "category": "Dairy Products", "name": "Camembert Pierrot", "quantity": "15 - 300 g rounds", "inStock": 19 }, { "category": "Seafood", "name": "Carnarvon Tigers", "quantity": "16 kg pkg.", "inStock": 42 }, { "category": "Beverages", "name": "Chai", "quantity": "10 boxes x 20 bags", "inStock": 39 }, { "category": "Beverages", "name": "Chang", "quantity": "24 - 12 oz bottles", "inStock": 17 }, { "category": "Beverages", "name": "Chartreuse verte", "quantity": "750 cc per bottle", "inStock": 69 }, { "category": "Condiments", "name": "Chef Anton's Cajun Seasoning", "quantity": "48 - 6 oz jars", "inStock": 53 }, { "category": "Condiments", "name": "Chef Anton's Gumbo Mix", "quantity": "36 boxes", "inStock": 0 }, { "category": "Confections", "name": "Chocolade", "quantity": "10 pkgs.", "inStock": 15 }, { "category": "Beverages", "name": "Cte de Blaye", "quantity": "12 - 75 cl bottles", "inStock": 17 }, { "category": "Seafood", "name": "Escargots de Bourgogne", "quantity": "24 pieces", "inStock": 62 }, { "category": "Grains/Cereals", "name": "Filo Mix", "quantity": "16 - 2 kg boxes", "inStock": 38 }, { "category": "Dairy Products", "name": "Flotemysost", "quantity": "10 - 500 g pkgs.", "inStock": 26 }, { "category": "Dairy Products", "name": "Geitost", "quantity": "500 g", "inStock": 112 }, { "category": "Condiments", "name": "Genen Shouyu", "quantity": "24 - 250 ml bottles", "inStock": 39 }, { "category": "Grains/Cereals", "name": "Gnocchi di nonna Alice", "quantity": "24 - 250 g pkgs.", "inStock": 21 }, { "category": "Dairy Products", "name": "Gorgonzola Telino", "quantity": "12 - 100 g pkgs", "inStock": 0 }, { "category": "Condiments", "name": "Grandma's Boysenberry Spread", "quantity": "12 - 8 oz jars", "inStock": 120 }, { "category": "Seafood", "name": "Gravad lax", "quantity": "12 - 500 g pkgs.", "inStock": 11 }, { "category": "Beverages", "name": "Guaran Fantstica", "quantity": "12 - 355 ml cans", "inStock": 20 }, { "category": "Dairy Products", "name": "Gudbrandsdalsost", "quantity": "10 kg pkg.", "inStock": 26 }, { "category": "Condiments", "name": "Gula Malacca", "quantity": "20 - 2 kg bags", "inStock": 27 }, { "category": "Confections", "name": "Gumbr Gummibrchen", "quantity": "100 - 250 g bags", "inStock": 15 }, { "category": "Grains/Cereals", "name": "Gustaf's Knckebrd", "quantity": "24 - 500 g pkgs.", "inStock": 104 }, { "category": "Seafood", "name": "Ikura", "quantity": "12 - 200 ml jars", "inStock": 31 }, { "category": "Seafood", "name": "Inlagd Sill", "quantity": "24 - 250 g  jars", "inStock": 112 }, { "category": "Beverages", "name": "Ipoh Coffee", "quantity": "16 - 500 g tins", "inStock": 17 }, { "category": "Seafood", "name": "Jack's New England Clam Chowder", "quantity": "12 - 12 oz cans", "inStock": 85 }, { "category": "Seafood", "name": "Konbu", "quantity": "2 kg box", "inStock": 24 }, { "category": "Beverages", "name": "Lakkalikri", "quantity": "500 ml", "inStock": 57 }, { "category": "Beverages", "name": "Laughing Lumberjack Lager", "quantity": "24 - 12 oz bottles", "inStock": 52 }, { "category": "Produce", "name": "Longlife Tofu", "quantity": "5 kg pkg.", "inStock": 4 }, { "category": "Condiments", "name": "Louisiana Fiery Hot Pepper Sauce", "quantity": "32 - 8 oz bottles", "inStock": 76 }, { "category": "Condiments", "name": "Louisiana Hot Spiced Okra", "quantity": "24 - 8 oz jars", "inStock": 4 }, { "category": "Produce", "name": "Manjimup Dried Apples", "quantity": "50 - 300 g pkgs.", "inStock": 20 }, { "category": "Dairy Products", "name": "Mascarpone Fabioli", "quantity": "24 - 200 g pkgs.", "inStock": 9 }, { "category": "Confections", "name": "Maxilaku", "quantity": "24 - 50 g pkgs.", "inStock": 10 }, { "category": "Meat/Poultry", "name": "Mishi Kobe Niku", "quantity": "18 - 500 g pkgs.", "inStock": 29 }, { "category": "Dairy Products", "name": "Mozzarella di Giovanni", "quantity": "24 - 200 g pkgs.", "inStock": 14 }, { "category": "Seafood", "name": "Nord-Ost Matjeshering", "quantity": "10 - 200 g glasses", "inStock": 10 }, { "category": "Condiments", "name": "Northwoods Cranberry Sauce", "quantity": "12 - 12 oz jars", "inStock": 6 }, { "category": "Confections", "name": "NuNuCa Nu-Nougat-Creme", "quantity": "20 - 450 g glasses", "inStock": 76 }, { "category": "Condiments", "name": "Original Frankfurter grne Soe", "quantity": "12 boxes", "inStock": 32 }, { "category": "Beverages", "name": "Outback Lager", "quantity": "24 - 355 ml bottles", "inStock": 15 }, { "category": "Confections", "name": "Pavlova", "quantity": "32 - 500 g boxes", "inStock": 29 }, { "category": "Meat/Poultry", "name": "Perth Pasties", "quantity": "48 pieces", "inStock": 0 }, { "category": "Meat/Poultry", "name": "Pt chinois", "quantity": "24 boxes x 2 pies", "inStock": 115 }, { "category": "Dairy Products", "name": "Queso Cabrales", "quantity": "1 kg pkg.", "inStock": 22 }, { "category": "Dairy Products", "name": "Queso Manchego La Pastora", "quantity": "10 - 500 g pkgs.", "inStock": 86 }, { "category": "Dairy Products", "name": "Raclette Courdavault", "quantity": "5 kg pkg.", "inStock": 79 }, { "category": "Grains/Cereals", "name": "Ravioli Angelo", "quantity": "24 - 250 g pkgs.", "inStock": 36 }, { "category": "Seafood", "name": "Rd Kaviar", "quantity": "24 - 150 g jars", "inStock": 101 }, { "category": "Beverages", "name": "Rhnbru Klosterbier", "quantity": "24 - 0.5 l bottles", "inStock": 125 }, { "category": "Seafood", "name": "Rogede sild", "quantity": "1k pkg.", "inStock": 5 }, { "category": "Produce", "name": "Rssle Sauerkraut", "quantity": "25 - 825 g cans", "inStock": 26 }, { "category": "Beverages", "name": "Sasquatch Ale", "quantity": "24 - 12 oz bottles", "inStock": 111 }, { "category": "Confections", "name": "Schoggi Schokolade", "quantity": "100 - 100 g pieces", "inStock": 49 }, { "category": "Confections", "name": "Scottish Longbreads", "quantity": "10 boxes x 8 pieces", "inStock": 6 }, { "category": "Grains/Cereals", "name": "Singaporean Hokkien Fried Mee", "quantity": "32 - 1 kg pkgs.", "inStock": 26 }, { "category": "Confections", "name": "Sir Rodney's Marmalade", "quantity": "30 gift boxes", "inStock": 40 }, { "category": "Confections", "name": "Sir Rodney's Scones", "quantity": "24 pkgs. x 4 pieces", "inStock": 3 }, { "category": "Condiments", "name": "Sirop d'rable", "quantity": "24 - 500 ml bottles", "inStock": 113 }, { "category": "Seafood", "name": "Spegesild", "quantity": "4 - 450 g glasses", "inStock": 95 }, { "category": "Beverages", "name": "Steeleye Stout", "quantity": "24 - 12 oz bottles", "inStock": 20 }, { "category": "Confections", "name": "Tarte au sucre", "quantity": "48 pies", "inStock": 17 }, { "category": "Confections", "name": "Teatime Chocolate Biscuits", "quantity": "10 boxes x 12 pieces", "inStock": 25 }, { "category": "Meat/Poultry", "name": "Thringer Rostbratwurst", "quantity": "50 bags x 30 sausgs.", "inStock": 0 }, { "category": "Produce", "name": "Tofu", "quantity": "40 - 100 g pkgs.", "inStock": 35 }, { "category": "Meat/Poultry", "name": "Tourtire", "quantity": "16 pies", "inStock": 21 }, { "category": "Grains/Cereals", "name": "Tunnbrd", "quantity": "12 - 250 g pkgs.", "inStock": 61 }, { "category": "Produce", "name": "Uncle Bob's Organic Dried Pears", "quantity": "12 - 1 lb pkgs.", "inStock": 15 }, { "category": "Confections", "name": "Valkoinen suklaa", "quantity": "12 - 100 g bars", "inStock": 65 }, { "category": "Condiments", "name": "Vegie-spread", "quantity": "15 - 625 g jars", "inStock": 24 }, { "category": "Grains/Cereals", "name": "Wimmers gute Semmelkndel", "quantity": "20 bags x 4 pieces", "inStock": 22 }, { "category": "Confections", "name": "Zaanse koeken", "quantity": "10 - 4 oz boxes", "inStock": 36 }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 9', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.filter(p => p.discontinued !== false).map(p => ({ category: p.category.name, name: p.name, quantity: p.quantity, inStock: p.inStock })).sort(p => [p.category, desc(p.name)])';
        const expected = [{ "category": "Beverages", "name": "Guaran Fantstica", "quantity": "12 - 355 ml cans", "inStock": 20 }, { "category": "Condiments", "name": "Chef Anton's Gumbo Mix", "quantity": "36 boxes", "inStock": 0 }, { "category": "Grains/Cereals", "name": "Singaporean Hokkien Fried Mee", "quantity": "32 - 1 kg pkgs.", "inStock": 26 }, { "category": "Meat/Poultry", "name": "Thringer Rostbratwurst", "quantity": "50 bags x 30 sausgs.", "inStock": 0 }, { "category": "Meat/Poultry", "name": "Perth Pasties", "quantity": "48 pieces", "inStock": 0 }, { "category": "Meat/Poultry", "name": "Mishi Kobe Niku", "quantity": "18 - 500 g pkgs.", "inStock": 29 }, { "category": "Meat/Poultry", "name": "Alice Mutton", "quantity": "20 - 1 kg tins", "inStock": 0 }, { "category": "Produce", "name": "Rssle Sauerkraut", "quantity": "25 - 825 g cans", "inStock": 26 }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 10', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.details.filter(p => between(p.order.shippedDate, fromDate, toDate) && p.unitPrice > minValue).map(p => ({ category: p.product.category.name, product: p.product.name, unitPrice: p.unitPrice, quantity: p.quantity })).sort(p => [p.category, p.product, p.unitPrice, p.quantity])';
        const expected = [{ "category": "Beverages", "product": "Chai", "unitPrice": 14.4, "quantity": 10 }, { "category": "Beverages", "product": "Chai", "unitPrice": 14.4, "quantity": 15 }, { "category": "Beverages", "product": "Chai", "unitPrice": 14.4, "quantity": 24 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 3 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 5 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 6 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 8 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 8 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 10 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 15 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 20 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 25 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 30 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 35 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 40 }, { "category": "Beverages", "product": "Chai", "unitPrice": 18, "quantity": 50 }, { "category": "Beverages", "product": "Chang", "unitPrice": 15.2, "quantity": 10 }, { "category": "Beverages", "product": "Chang", "unitPrice": 15.2, "quantity": 20 }, { "category": "Beverages", "product": "Chang", "unitPrice": 15.2, "quantity": 25 }, { "category": "Beverages", "product": "Chang", "unitPrice": 15.2, "quantity": 40 }, { "category": "Beverages", "product": "Chang", "unitPrice": 15.2, "quantity": 45 }, { "category": "Beverages", "product": "Chang", "unitPrice": 15.2, "quantity": 60 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 3 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 5 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 10 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 10 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 12 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 15 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 15 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 20 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 30 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 30 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 40 }, { "category": "Beverages", "product": "Chang", "unitPrice": 19, "quantity": 50 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 14.4, "quantity": 6 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 14.4, "quantity": 20 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 14.4, "quantity": 20 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 2 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 3 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 5 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 10 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 10 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 16 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 20 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 20 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 21 }, { "category": "Beverages", "product": "Chartreuse verte", "unitPrice": 18, "quantity": 130 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 210.8, "quantity": 30 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 210.8, "quantity": 49 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 210.8, "quantity": 50 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 263.5, "quantity": 4 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 263.5, "quantity": 5 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 263.5, "quantity": 15 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 263.5, "quantity": 15 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 263.5, "quantity": 15 }, { "category": "Beverages", "product": "Cte de Blaye", "unitPrice": 263.5, "quantity": 30 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 36.8, "quantity": 3 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 36.8, "quantity": 15 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 36.8, "quantity": 20 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 46, "quantity": 6 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 46, "quantity": 15 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 46, "quantity": 20 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 46, "quantity": 24 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 46, "quantity": 25 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 46, "quantity": 30 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 46, "quantity": 40 }, { "category": "Beverages", "product": "Ipoh Coffee", "unitPrice": 46, "quantity": 60 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 14.4, "quantity": 14 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 14.4, "quantity": 18 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 14.4, "quantity": 20 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 14.4, "quantity": 35 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 14.4, "quantity": 42 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 4 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 10 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 10 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 10 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 10 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 10 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 14 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 15 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 20 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 20 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 30 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 35 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 35 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 50 }, { "category": "Beverages", "product": "Lakkalikri", "unitPrice": 18, "quantity": 80 }, { "category": "Beverages", "product": "Laughing Lumberjack Lager", "unitPrice": 14, "quantity": 3 }, { "category": "Beverages", "product": "Laughing Lumberjack Lager", "unitPrice": 14, "quantity": 7 }, { "category": "Beverages", "product": "Laughing Lumberjack Lager", "unitPrice": 14, "quantity": 25 }, { "category": "Beverages", "product": "Laughing Lumberjack Lager", "unitPrice": 14, "quantity": 30 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 12, "quantity": 8 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 12, "quantity": 12 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 12, "quantity": 25 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 12, "quantity": 30 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 12, "quantity": 60 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 6 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 7 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 8 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 14 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 15 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 15 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 20 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 28 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 30 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 35 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 40 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 40 }, { "category": "Beverages", "product": "Outback Lager", "unitPrice": 15, "quantity": 50 }, { "category": "Beverages", "product": "Sasquatch Ale", "unitPrice": 11.2, "quantity": 20 }, { "category": "Beverages", "product": "Sasquatch Ale", "unitPrice": 11.2, "quantity": 35 }, { "category": "Beverages", "product": "Sasquatch Ale", "unitPrice": 14, "quantity": 10 }, { "category": "Beverages", "product": "Sasquatch Ale", "unitPrice": 14, "quantity": 12 }, { "category": "Beverages", "product": "Sasquatch Ale", "unitPrice": 14, "quantity": 14 }, { "category": "Beverages", "product": "Sasquatch Ale", "unitPrice": 14, "quantity": 30 }, { "category": "Beverages", "product": "Sasquatch Ale", "unitPrice": 14, "quantity": 40 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 14.4, "quantity": 8 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 14.4, "quantity": 30 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 14.4, "quantity": 35 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 14.4, "quantity": 60 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 3 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 4 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 6 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 9 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 15 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 20 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 20 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 20 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 21 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 30 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 30 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 30 }, { "category": "Beverages", "product": "Steeleye Stout", "unitPrice": 18, "quantity": 35 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 17.6, "quantity": 16 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 6 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 10 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 12 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 20 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 25 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 25 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 50 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 50 }, { "category": "Condiments", "product": "Chef Anton's Cajun Seasoning", "unitPrice": 22, "quantity": 50 }, { "category": "Condiments", "product": "Chef Anton's Gumbo Mix", "unitPrice": 21.35, "quantity": 4 }, { "category": "Condiments", "product": "Chef Anton's Gumbo Mix", "unitPrice": 21.35, "quantity": 15 }, { "category": "Condiments", "product": "Genen Shouyu", "unitPrice": 15.5, "quantity": 10 }, { "category": "Condiments", "product": "Genen Shouyu", "unitPrice": 15.5, "quantity": 12 }, { "category": "Condiments", "product": "Genen Shouyu", "unitPrice": 15.5, "quantity": 25 }, { "category": "Condiments", "product": "Genen Shouyu", "unitPrice": 15.5, "quantity": 50 }, { "category": "Condiments", "product": "Grandma's Boysenberry Spread", "unitPrice": 25, "quantity": 30 }, { "category": "Condiments", "product": "Grandma's Boysenberry Spread", "unitPrice": 25, "quantity": 70 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 15.5, "quantity": 2 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 15.5, "quantity": 15 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 15.5, "quantity": 40 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 15.5, "quantity": 100 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 9 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 10 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 10 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 16 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 21 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 21 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 24 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 28 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 40 }, { "category": "Condiments", "product": "Gula Malacca", "unitPrice": 19.45, "quantity": 50 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 16.8, "quantity": 15 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 16.8, "quantity": 20 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 16.8, "quantity": 28 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 16.8, "quantity": 35 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 10 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 10 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 12 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 12 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 15 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 20 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 21 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 30 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 36 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 39 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 40 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 65 }, { "category": "Condiments", "product": "Louisiana Fiery Hot Pepper Sauce", "unitPrice": 21.05, "quantity": 80 }, { "category": "Condiments", "product": "Louisiana Hot Spiced Okra", "unitPrice": 13.6, "quantity": 10 }, { "category": "Condiments", "product": "Louisiana Hot Spiced Okra", "unitPrice": 13.6, "quantity": 60 }, { "category": "Condiments", "product": "Louisiana Hot Spiced Okra", "unitPrice": 13.6, "quantity": 60 }, { "category": "Condiments", "product": "Louisiana Hot Spiced Okra", "unitPrice": 17, "quantity": 4 }, { "category": "Condiments", "product": "Louisiana Hot Spiced Okra", "unitPrice": 17, "quantity": 24 }, { "category": "Condiments", "product": "Louisiana Hot Spiced Okra", "unitPrice": 17, "quantity": 50 }, { "category": "Condiments", "product": "Northwoods Cranberry Sauce", "unitPrice": 40, "quantity": 10 }, { "category": "Condiments", "product": "Northwoods Cranberry Sauce", "unitPrice": 40, "quantity": 10 }, { "category": "Condiments", "product": "Northwoods Cranberry Sauce", "unitPrice": 40, "quantity": 24 }, { "category": "Condiments", "product": "Northwoods Cranberry Sauce", "unitPrice": 40, "quantity": 30 }, { "category": "Condiments", "product": "Northwoods Cranberry Sauce", "unitPrice": 40, "quantity": 40 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 10.4, "quantity": 5 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 10.4, "quantity": 7 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 10.4, "quantity": 10 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 10.4, "quantity": 14 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 10.4, "quantity": 25 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 10.4, "quantity": 30 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 10.4, "quantity": 35 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 10.4, "quantity": 55 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 2 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 5 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 10 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 15 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 18 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 20 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 30 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 35 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 60 }, { "category": "Condiments", "product": "Original Frankfurter grne Soe", "unitPrice": 13, "quantity": 70 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 22.8, "quantity": 16 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 22.8, "quantity": 25 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 22.8, "quantity": 90 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 5 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 10 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 10 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 15 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 20 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 20 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 20 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 20 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 25 }, { "category": "Condiments", "product": "Sirop d'rable", "unitPrice": 28.5, "quantity": 120 }, { "category": "Condiments", "product": "Vegie-spread", "unitPrice": 35.1, "quantity": 35 }, { "category": "Condiments", "product": "Vegie-spread", "unitPrice": 35.1, "quantity": 65 }, { "category": "Condiments", "product": "Vegie-spread", "unitPrice": 43.9, "quantity": 6 }, { "category": "Condiments", "product": "Vegie-spread", "unitPrice": 43.9, "quantity": 9 }, { "category": "Condiments", "product": "Vegie-spread", "unitPrice": 43.9, "quantity": 20 }, { "category": "Condiments", "product": "Vegie-spread", "unitPrice": 43.9, "quantity": 24 }, { "category": "Condiments", "product": "Vegie-spread", "unitPrice": 43.9, "quantity": 30 }, { "category": "Confections", "product": "Chocolade", "unitPrice": 10.2, "quantity": 15 }, { "category": "Confections", "product": "Chocolade", "unitPrice": 10.2, "quantity": 70 }, { "category": "Confections", "product": "Chocolade", "unitPrice": 12.75, "quantity": 6 }, { "category": "Confections", "product": "Chocolade", "unitPrice": 12.75, "quantity": 15 }, { "category": "Confections", "product": "Chocolade", "unitPrice": 12.75, "quantity": 24 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 2 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 6 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 10 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 15 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 30 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 30 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 30 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 30 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 24.9, "quantity": 70 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 5 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 6 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 12 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 15 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 15 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 20 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 30 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 30 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 35 }, { "category": "Confections", "product": "Gumbr Gummibrchen", "unitPrice": 31.23, "quantity": 40 }, { "category": "Confections", "product": "Maxilaku", "unitPrice": 16, "quantity": 21 }, { "category": "Confections", "product": "Maxilaku", "unitPrice": 16, "quantity": 24 }, { "category": "Confections", "product": "Maxilaku", "unitPrice": 16, "quantity": 30 }, { "category": "Confections", "product": "Maxilaku", "unitPrice": 16, "quantity": 30 }, { "category": "Confections", "product": "Maxilaku", "unitPrice": 20, "quantity": 6 }, { "category": "Confections", "product": "Maxilaku", "unitPrice": 20, "quantity": 18 }, { "category": "Confections", "product": "Maxilaku", "unitPrice": 20, "quantity": 25 }, { "category": "Confections", "product": "Maxilaku", "unitPrice": 20, "quantity": 25 }, { "category": "Confections", "product": "NuNuCa Nu-Nougat-Creme", "unitPrice": 11.2, "quantity": 7 }, { "category": "Confections", "product": "NuNuCa Nu-Nougat-Creme", "unitPrice": 11.2, "quantity": 12 }, { "category": "Confections", "product": "NuNuCa Nu-Nougat-Creme", "unitPrice": 11.2, "quantity": 60 }, { "category": "Confections", "product": "NuNuCa Nu-Nougat-Creme", "unitPrice": 14, "quantity": 12 }, { "category": "Confections", "product": "NuNuCa Nu-Nougat-Creme", "unitPrice": 14, "quantity": 18 }, { "category": "Confections", "product": "NuNuCa Nu-Nougat-Creme", "unitPrice": 14, "quantity": 35 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 13.9, "quantity": 16 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 13.9, "quantity": 18 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 13.9, "quantity": 20 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 13.9, "quantity": 21 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 13.9, "quantity": 35 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 13.9, "quantity": 49 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 3 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 3 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 10 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 12 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 14 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 15 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 20 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 20 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 30 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 30 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 30 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 40 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 50 }, { "category": "Confections", "product": "Pavlova", "unitPrice": 17.45, "quantity": 50 }, { "category": "Confections", "product": "Schoggi Schokolade", "unitPrice": 35.1, "quantity": 50 }, { "category": "Confections", "product": "Schoggi Schokolade", "unitPrice": 43.9, "quantity": 40 }, { "category": "Confections", "product": "Schoggi Schokolade", "unitPrice": 43.9, "quantity": 50 }, { "category": "Confections", "product": "Schoggi Schokolade", "unitPrice": 43.9, "quantity": 120 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 6 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 6 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 10 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 15 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 15 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 18 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 18 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 20 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 35 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 40 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 40 }, { "category": "Confections", "product": "Scottish Longbreads", "unitPrice": 12.5, "quantity": 45 }, { "category": "Confections", "product": "Sir Rodney's Marmalade", "unitPrice": 81, "quantity": 15 }, { "category": "Confections", "product": "Sir Rodney's Marmalade", "unitPrice": 81, "quantity": 21 }, { "category": "Confections", "product": "Sir Rodney's Marmalade", "unitPrice": 81, "quantity": 21 }, { "category": "Confections", "product": "Sir Rodney's Marmalade", "unitPrice": 81, "quantity": 39 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 39.4, "quantity": 10 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 39.4, "quantity": 35 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 39.4, "quantity": 35 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 39.4, "quantity": 40 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 3 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 9 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 10 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 10 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 10 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 10 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 10 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 15 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 15 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 15 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 20 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 20 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 30 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 40 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 48 }, { "category": "Confections", "product": "Tarte au sucre", "unitPrice": 49.3, "quantity": 80 }, { "category": "Confections", "product": "Valkoinen suklaa", "unitPrice": 13, "quantity": 25 }, { "category": "Confections", "product": "Valkoinen suklaa", "unitPrice": 13, "quantity": 40 }, { "category": "Confections", "product": "Valkoinen suklaa", "unitPrice": 16.25, "quantity": 20 }, { "category": "Confections", "product": "Valkoinen suklaa", "unitPrice": 16.25, "quantity": 25 }, { "category": "Confections", "product": "Valkoinen suklaa", "unitPrice": 16.25, "quantity": 40 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 27.2, "quantity": 6 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 27.2, "quantity": 20 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 27.2, "quantity": 40 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 27.2, "quantity": 60 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 10 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 10 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 10 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 12 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 15 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 15 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 15 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 20 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 20 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 24 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 30 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 30 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 35 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 40 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 50 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 55 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 70 }, { "category": "Dairy Products", "product": "Camembert Pierrot", "unitPrice": 34, "quantity": 84 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 17.2, "quantity": 2 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 17.2, "quantity": 12 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 17.2, "quantity": 15 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 17.2, "quantity": 30 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 17.2, "quantity": 30 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 17.2, "quantity": 50 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 17.2, "quantity": 60 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 17.2, "quantity": 60 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 8 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 9 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 9 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 12 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 12 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 14 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 15 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 15 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 15 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 20 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 20 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 30 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 30 }, { "category": "Dairy Products", "product": "Flotemysost", "unitPrice": 21.5, "quantity": 60 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 1 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 2 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 3 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 6 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 8 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 8 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 10 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 16 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 20 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 20 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 20 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 20 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 20 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 30 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 30 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 35 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 50 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 50 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 50 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 55 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 60 }, { "category": "Dairy Products", "product": "Gorgonzola Telino", "unitPrice": 12.5, "quantity": 70 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 28.8, "quantity": 8 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 28.8, "quantity": 10 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 28.8, "quantity": 15 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 28.8, "quantity": 20 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 28.8, "quantity": 50 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 3 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 10 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 10 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 18 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 20 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 20 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 20 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 25 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 25 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 30 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 30 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 40 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 45 }, { "category": "Dairy Products", "product": "Gudbrandsdalsost", "unitPrice": 36, "quantity": 65 }, { "category": "Dairy Products", "product": "Mascarpone Fabioli", "unitPrice": 32, "quantity": 4 }, { "category": "Dairy Products", "product": "Mascarpone Fabioli", "unitPrice": 32, "quantity": 10 }, { "category": "Dairy Products", "product": "Mascarpone Fabioli", "unitPrice": 32, "quantity": 10 }, { "category": "Dairy Products", "product": "Mascarpone Fabioli", "unitPrice": 32, "quantity": 24 }, { "category": "Dairy Products", "product": "Mascarpone Fabioli", "unitPrice": 32, "quantity": 50 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 27.8, "quantity": 10 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 27.8, "quantity": 21 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 27.8, "quantity": 25 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 27.8, "quantity": 40 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 1 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 7 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 9 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 12 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 15 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 21 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 24 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 24 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 30 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 30 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 35 }, { "category": "Dairy Products", "product": "Mozzarella di Giovanni", "unitPrice": 34.8, "quantity": 60 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 16.8, "quantity": 5 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 16.8, "quantity": 6 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 16.8, "quantity": 6 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 16.8, "quantity": 10 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 16.8, "quantity": 15 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 16.8, "quantity": 30 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 16.8, "quantity": 30 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 3 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 5 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 10 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 10 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 14 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 15 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 15 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 15 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 15 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 15 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 35 }, { "category": "Dairy Products", "product": "Queso Cabrales", "unitPrice": 21, "quantity": 50 }, { "category": "Dairy Products", "product": "Queso Manchego La Pastora", "unitPrice": 30.4, "quantity": 15 }, { "category": "Dairy Products", "product": "Queso Manchego La Pastora", "unitPrice": 38, "quantity": 4 }, { "category": "Dairy Products", "product": "Queso Manchego La Pastora", "unitPrice": 38, "quantity": 15 }, { "category": "Dairy Products", "product": "Queso Manchego La Pastora", "unitPrice": 38, "quantity": 30 }, { "category": "Dairy Products", "product": "Queso Manchego La Pastora", "unitPrice": 38, "quantity": 36 }, { "category": "Dairy Products", "product": "Queso Manchego La Pastora", "unitPrice": 38, "quantity": 36 }, { "category": "Dairy Products", "product": "Queso Manchego La Pastora", "unitPrice": 38, "quantity": 100 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 9 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 12 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 16 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 20 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 30 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 36 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 60 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 60 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 44, "quantity": 70 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 1 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 2 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 4 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 6 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 7 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 8 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 10 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 12 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 12 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 15 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 20 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 25 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 25 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 25 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 30 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 35 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 35 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 40 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 42 }, { "category": "Dairy Products", "product": "Raclette Courdavault", "unitPrice": 55, "quantity": 45 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 5 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 14 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 15 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 28 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 40 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 30.4, "quantity": 70 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 5 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 10 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 12 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 14 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 14 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 15 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 18 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 28 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 28 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 40 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 40 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 45 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 60 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 60 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 60 }, { "category": "Grains/Cereals", "product": "Gnocchi di nonna Alice", "unitPrice": 38, "quantity": 70 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 16.8, "quantity": 12 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 21, "quantity": 4 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 21, "quantity": 6 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 21, "quantity": 15 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 21, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 21, "quantity": 24 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 21, "quantity": 40 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 21, "quantity": 40 }, { "category": "Grains/Cereals", "product": "Gustaf's Knckebrd", "unitPrice": 21, "quantity": 48 }, { "category": "Grains/Cereals", "product": "Ravioli Angelo", "unitPrice": 15.6, "quantity": 15 }, { "category": "Grains/Cereals", "product": "Ravioli Angelo", "unitPrice": 15.6, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Ravioli Angelo", "unitPrice": 19.5, "quantity": 4 }, { "category": "Grains/Cereals", "product": "Ravioli Angelo", "unitPrice": 19.5, "quantity": 5 }, { "category": "Grains/Cereals", "product": "Ravioli Angelo", "unitPrice": 19.5, "quantity": 6 }, { "category": "Grains/Cereals", "product": "Ravioli Angelo", "unitPrice": 19.5, "quantity": 14 }, { "category": "Grains/Cereals", "product": "Ravioli Angelo", "unitPrice": 19.5, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Ravioli Angelo", "unitPrice": 19.5, "quantity": 40 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 11.2, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 11.2, "quantity": 40 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 11.2, "quantity": 50 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 2 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 5 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 6 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 12 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 20 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 28 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 28 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 40 }, { "category": "Grains/Cereals", "product": "Singaporean Hokkien Fried Mee", "unitPrice": 14, "quantity": 100 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 26.6, "quantity": 6 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 26.6, "quantity": 7 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 26.6, "quantity": 8 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 26.6, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 26.6, "quantity": 30 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 26.6, "quantity": 35 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 33.25, "quantity": 6 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 33.25, "quantity": 9 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 33.25, "quantity": 15 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 33.25, "quantity": 18 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 33.25, "quantity": 24 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 33.25, "quantity": 28 }, { "category": "Grains/Cereals", "product": "Wimmers gute Semmelkndel", "unitPrice": 33.25, "quantity": 30 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 31.2, "quantity": 2 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 31.2, "quantity": 10 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 31.2, "quantity": 45 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 31.2, "quantity": 50 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 8 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 8 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 16 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 18 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 20 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 20 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 25 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 27 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 30 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 33 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 40 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 40 }, { "category": "Meat/Poultry", "product": "Alice Mutton", "unitPrice": 39, "quantity": 100 }, { "category": "Meat/Poultry", "product": "Mishi Kobe Niku", "unitPrice": 77.6, "quantity": 20 }, { "category": "Meat/Poultry", "product": "Mishi Kobe Niku", "unitPrice": 97, "quantity": 6 }, { "category": "Meat/Poultry", "product": "Mishi Kobe Niku", "unitPrice": 97, "quantity": 16 }, { "category": "Meat/Poultry", "product": "Mishi Kobe Niku", "unitPrice": 97, "quantity": 50 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 26.2, "quantity": 10 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 26.2, "quantity": 15 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 26.2, "quantity": 15 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 26.2, "quantity": 20 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 26.2, "quantity": 28 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 26.2, "quantity": 50 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 26.2, "quantity": 70 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 3 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 5 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 6 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 10 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 10 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 12 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 18 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 25 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 25 }, { "category": "Meat/Poultry", "product": "Perth Pasties", "unitPrice": 32.8, "quantity": 120 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 19.2, "quantity": 2 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 19.2, "quantity": 10 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 19.2, "quantity": 30 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 19.2, "quantity": 60 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 19.2, "quantity": 120 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 19.2, "quantity": 120 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 4 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 5 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 6 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 12 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 12 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 14 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 18 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 20 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 21 }, { "category": "Meat/Poultry", "product": "Pt chinois", "unitPrice": 24, "quantity": 25 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 99, "quantity": 18 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 99, "quantity": 21 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 99, "quantity": 24 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 6 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 10 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 10 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 12 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 18 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 20 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 20 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 20 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 36 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 36 }, { "category": "Meat/Poultry", "product": "Thringer Rostbratwurst", "unitPrice": 123.79, "quantity": 40 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 42.4, "quantity": 3 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 42.4, "quantity": 18 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 42.4, "quantity": 18 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 42.4, "quantity": 25 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 3 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 6 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 7 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 15 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 20 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 20 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 20 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 20 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 28 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 28 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 30 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 48 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 50 }, { "category": "Produce", "product": "Manjimup Dried Apples", "unitPrice": 53, "quantity": 120 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 36.4, "quantity": 12 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 36.4, "quantity": 15 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 36.4, "quantity": 18 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 36.4, "quantity": 30 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 36.4, "quantity": 42 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 3 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 5 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 7 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 8 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 10 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 15 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 20 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 20 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 20 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 35 }, { "category": "Produce", "product": "Rssle Sauerkraut", "unitPrice": 45.6, "quantity": 60 }, { "category": "Produce", "product": "Tofu", "unitPrice": 18.6, "quantity": 12 }, { "category": "Produce", "product": "Tofu", "unitPrice": 18.6, "quantity": 12 }, { "category": "Produce", "product": "Tofu", "unitPrice": 18.6, "quantity": 20 }, { "category": "Produce", "product": "Tofu", "unitPrice": 18.6, "quantity": 35 }, { "category": "Produce", "product": "Tofu", "unitPrice": 18.6, "quantity": 42 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 3 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 3 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 5 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 11 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 15 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 16 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 21 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 30 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 30 }, { "category": "Produce", "product": "Tofu", "unitPrice": 23.25, "quantity": 70 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 24, "quantity": 16 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 24, "quantity": 30 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 30, "quantity": 3 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 30, "quantity": 10 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 30, "quantity": 10 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 30, "quantity": 35 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 30, "quantity": 35 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 30, "quantity": 45 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 30, "quantity": 50 }, { "category": "Produce", "product": "Uncle Bob's Organic Dried Pears", "unitPrice": 30, "quantity": 90 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 14.7, "quantity": 2 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 14.7, "quantity": 10 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 14.7, "quantity": 10 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 14.7, "quantity": 20 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 14.7, "quantity": 20 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 14.7, "quantity": 21 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 14.7, "quantity": 50 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 2 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 3 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 5 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 6 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 10 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 10 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 15 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 20 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 24 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 25 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 30 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 40 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 42 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 50 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 50 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 60 }, { "category": "Seafood", "product": "Boston Crab Meat", "unitPrice": 18.4, "quantity": 70 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 50, "quantity": 30 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 4 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 8 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 12 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 18 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 20 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 21 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 24 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 25 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 30 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 40 }, { "category": "Seafood", "product": "Carnarvon Tigers", "unitPrice": 62.5, "quantity": 50 }, { "category": "Seafood", "product": "Escargots de Bourgogne", "unitPrice": 13.25, "quantity": 6 }, { "category": "Seafood", "product": "Escargots de Bourgogne", "unitPrice": 13.25, "quantity": 12 }, { "category": "Seafood", "product": "Escargots de Bourgogne", "unitPrice": 13.25, "quantity": 20 }, { "category": "Seafood", "product": "Escargots de Bourgogne", "unitPrice": 13.25, "quantity": 30 }, { "category": "Seafood", "product": "Escargots de Bourgogne", "unitPrice": 13.25, "quantity": 30 }, { "category": "Seafood", "product": "Escargots de Bourgogne", "unitPrice": 13.25, "quantity": 30 }, { "category": "Seafood", "product": "Escargots de Bourgogne", "unitPrice": 13.25, "quantity": 49 }, { "category": "Seafood", "product": "Gravad lax", "unitPrice": 20.8, "quantity": 10 }, { "category": "Seafood", "product": "Gravad lax", "unitPrice": 26, "quantity": 18 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 24.8, "quantity": 14 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 24.8, "quantity": 20 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 24.8, "quantity": 20 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 2 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 2 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 5 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 6 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 10 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 10 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 16 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 16 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 18 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 18 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 18 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 20 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 21 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 24 }, { "category": "Seafood", "product": "Ikura", "unitPrice": 31, "quantity": 70 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 15.2, "quantity": 5 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 5 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 6 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 6 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 15 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 20 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 21 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 25 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 30 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 30 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 30 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 30 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 40 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 55 }, { "category": "Seafood", "product": "Inlagd Sill", "unitPrice": 19, "quantity": 60 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 20.7, "quantity": 8 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 20.7, "quantity": 18 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 20.7, "quantity": 18 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 20.7, "quantity": 28 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 2 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 3 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 10 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 10 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 15 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 15 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 15 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 15 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 20 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 20 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 30 }, { "category": "Seafood", "product": "Nord-Ost Matjeshering", "unitPrice": 25.89, "quantity": 30 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 12, "quantity": 20 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 12, "quantity": 20 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 3 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 9 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 15 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 15 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 24 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 30 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 35 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 35 }, { "category": "Seafood", "product": "Rd Kaviar", "unitPrice": 15, "quantity": 50 }, { "category": "Seafood", "product": "Spegesild", "unitPrice": 12, "quantity": 2 }, { "category": "Seafood", "product": "Spegesild", "unitPrice": 12, "quantity": 9 }, { "category": "Seafood", "product": "Spegesild", "unitPrice": 12, "quantity": 18 }, { "category": "Seafood", "product": "Spegesild", "unitPrice": 12, "quantity": 21 }, { "category": "Seafood", "product": "Spegesild", "unitPrice": 12, "quantity": 24 }, { "category": "Seafood", "product": "Spegesild", "unitPrice": 12, "quantity": 28 }, { "category": "Seafood", "product": "Spegesild", "unitPrice": 12, "quantity": 45 }, { "category": "Seafood", "product": "Spegesild", "unitPrice": 12, "quantity": 60 }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 11', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.sort(p => p.id).page(1, 1)';
        const expected = [{ "id": 1, "name": "Chai", "supplierId": 1, "categoryId": 1, "quantity": "10 boxes x 20 bags", "price": 18, "inStock": 39, "onOrder": 0, "reorderLevel": 10, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 12', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.first(p => p)';
        const expected = [{ "id": 1, "name": "Chai", "supplierId": 1, "categoryId": 1, "quantity": "10 boxes x 20 bags", "price": 18, "inStock": 39, "onOrder": 0, "reorderLevel": 10, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 13', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.last(p => p)';
        const expected = [{ "id": 77, "name": "Original Frankfurter grne Soe", "supplierId": 12, "categoryId": 2, "quantity": "12 boxes", "price": 13, "inStock": 32, "onOrder": 0, "reorderLevel": 15, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 14', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.first(p => ({ category: p.category.name, name: p.name, quantity: p.quantity, inStock: p.inStock }))';
        const expected = [{ "category": "Beverages", "name": "Chai", "quantity": "10 boxes x 20 bags", "inStock": 39 }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 15', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.filter(p => p.discontinued !== false).last(p => p.id)';
        const expected = [{ "id": 53 }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 16', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.distinct(p => p).sort(p => p.id)';
        const expected = [{ "id": 1, "name": "Chai", "supplierId": 1, "categoryId": 1, "quantity": "10 boxes x 20 bags", "price": 18, "inStock": 39, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 2, "name": "Chang", "supplierId": 1, "categoryId": 1, "quantity": "24 - 12 oz bottles", "price": 19, "inStock": 17, "onOrder": 40, "reorderLevel": 25, "discontinued": false }, { "id": 3, "name": "Aniseed Syrup", "supplierId": 1, "categoryId": 2, "quantity": "12 - 550 ml bottles", "price": 10, "inStock": 13, "onOrder": 70, "reorderLevel": 25, "discontinued": false }, { "id": 4, "name": "Chef Anton's Cajun Seasoning", "supplierId": 2, "categoryId": 2, "quantity": "48 - 6 oz jars", "price": 22, "inStock": 53, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 5, "name": "Chef Anton's Gumbo Mix", "supplierId": 2, "categoryId": 2, "quantity": "36 boxes", "price": 21.35, "inStock": 0, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 6, "name": "Grandma's Boysenberry Spread", "supplierId": 3, "categoryId": 2, "quantity": "12 - 8 oz jars", "price": 25, "inStock": 120, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 7, "name": "Uncle Bob's Organic Dried Pears", "supplierId": 3, "categoryId": 7, "quantity": "12 - 1 lb pkgs.", "price": 30, "inStock": 15, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 8, "name": "Northwoods Cranberry Sauce", "supplierId": 3, "categoryId": 2, "quantity": "12 - 12 oz jars", "price": 40, "inStock": 6, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 9, "name": "Mishi Kobe Niku", "supplierId": 4, "categoryId": 6, "quantity": "18 - 500 g pkgs.", "price": 97, "inStock": 29, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 10, "name": "Ikura", "supplierId": 4, "categoryId": 8, "quantity": "12 - 200 ml jars", "price": 31, "inStock": 31, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 11, "name": "Queso Cabrales", "supplierId": 5, "categoryId": 4, "quantity": "1 kg pkg.", "price": 21, "inStock": 22, "onOrder": 30, "reorderLevel": 30, "discontinued": false }, { "id": 12, "name": "Queso Manchego La Pastora", "supplierId": 5, "categoryId": 4, "quantity": "10 - 500 g pkgs.", "price": 38, "inStock": 86, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 13, "name": "Konbu", "supplierId": 6, "categoryId": 8, "quantity": "2 kg box", "price": 6, "inStock": 24, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 14, "name": "Tofu", "supplierId": 6, "categoryId": 7, "quantity": "40 - 100 g pkgs.", "price": 23.25, "inStock": 35, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 15, "name": "Genen Shouyu", "supplierId": 6, "categoryId": 2, "quantity": "24 - 250 ml bottles", "price": 15.5, "inStock": 39, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 16, "name": "Pavlova", "supplierId": 7, "categoryId": 3, "quantity": "32 - 500 g boxes", "price": 17.45, "inStock": 29, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 17, "name": "Alice Mutton", "supplierId": 7, "categoryId": 6, "quantity": "20 - 1 kg tins", "price": 39, "inStock": 0, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 18, "name": "Carnarvon Tigers", "supplierId": 7, "categoryId": 8, "quantity": "16 kg pkg.", "price": 62.5, "inStock": 42, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 19, "name": "Teatime Chocolate Biscuits", "supplierId": 8, "categoryId": 3, "quantity": "10 boxes x 12 pieces", "price": 9.2, "inStock": 25, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 20, "name": "Sir Rodney's Marmalade", "supplierId": 8, "categoryId": 3, "quantity": "30 gift boxes", "price": 81, "inStock": 40, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 21, "name": "Sir Rodney's Scones", "supplierId": 8, "categoryId": 3, "quantity": "24 pkgs. x 4 pieces", "price": 10, "inStock": 3, "onOrder": 40, "reorderLevel": 5, "discontinued": false }, { "id": 22, "name": "Gustaf's Knckebrd", "supplierId": 9, "categoryId": 5, "quantity": "24 - 500 g pkgs.", "price": 21, "inStock": 104, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 23, "name": "Tunnbrd", "supplierId": 9, "categoryId": 5, "quantity": "12 - 250 g pkgs.", "price": 9, "inStock": 61, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 24, "name": "Guaran Fantstica", "supplierId": 10, "categoryId": 1, "quantity": "12 - 355 ml cans", "price": 4.5, "inStock": 20, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 25, "name": "NuNuCa Nu-Nougat-Creme", "supplierId": 11, "categoryId": 3, "quantity": "20 - 450 g glasses", "price": 14, "inStock": 76, "onOrder": 0, "reorderLevel": 30, "discontinued": false }, { "id": 26, "name": "Gumbr Gummibrchen", "supplierId": 11, "categoryId": 3, "quantity": "100 - 250 g bags", "price": 31.23, "inStock": 15, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 27, "name": "Schoggi Schokolade", "supplierId": 11, "categoryId": 3, "quantity": "100 - 100 g pieces", "price": 43.9, "inStock": 49, "onOrder": 0, "reorderLevel": 30, "discontinued": false }, { "id": 28, "name": "Rssle Sauerkraut", "supplierId": 12, "categoryId": 7, "quantity": "25 - 825 g cans", "price": 45.6, "inStock": 26, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 29, "name": "Thringer Rostbratwurst", "supplierId": 12, "categoryId": 6, "quantity": "50 bags x 30 sausgs.", "price": 123.79, "inStock": 0, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 30, "name": "Nord-Ost Matjeshering", "supplierId": 13, "categoryId": 8, "quantity": "10 - 200 g glasses", "price": 25.89, "inStock": 10, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 31, "name": "Gorgonzola Telino", "supplierId": 14, "categoryId": 4, "quantity": "12 - 100 g pkgs", "price": 12.5, "inStock": 0, "onOrder": 70, "reorderLevel": 20, "discontinued": false }, { "id": 32, "name": "Mascarpone Fabioli", "supplierId": 14, "categoryId": 4, "quantity": "24 - 200 g pkgs.", "price": 32, "inStock": 9, "onOrder": 40, "reorderLevel": 25, "discontinued": false }, { "id": 33, "name": "Geitost", "supplierId": 15, "categoryId": 4, "quantity": "500 g", "price": 2.5, "inStock": 112, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 34, "name": "Sasquatch Ale", "supplierId": 16, "categoryId": 1, "quantity": "24 - 12 oz bottles", "price": 14, "inStock": 111, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 35, "name": "Steeleye Stout", "supplierId": 16, "categoryId": 1, "quantity": "24 - 12 oz bottles", "price": 18, "inStock": 20, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 36, "name": "Inlagd Sill", "supplierId": 17, "categoryId": 8, "quantity": "24 - 250 g  jars", "price": 19, "inStock": 112, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 37, "name": "Gravad lax", "supplierId": 17, "categoryId": 8, "quantity": "12 - 500 g pkgs.", "price": 26, "inStock": 11, "onOrder": 50, "reorderLevel": 25, "discontinued": false }, { "id": 38, "name": "Cte de Blaye", "supplierId": 18, "categoryId": 1, "quantity": "12 - 75 cl bottles", "price": 263.5, "inStock": 17, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 39, "name": "Chartreuse verte", "supplierId": 18, "categoryId": 1, "quantity": "750 cc per bottle", "price": 18, "inStock": 69, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 40, "name": "Boston Crab Meat", "supplierId": 19, "categoryId": 8, "quantity": "24 - 4 oz tins", "price": 18.4, "inStock": 123, "onOrder": 0, "reorderLevel": 30, "discontinued": false }, { "id": 41, "name": "Jack's New England Clam Chowder", "supplierId": 19, "categoryId": 8, "quantity": "12 - 12 oz cans", "price": 9.65, "inStock": 85, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 42, "name": "Singaporean Hokkien Fried Mee", "supplierId": 20, "categoryId": 5, "quantity": "32 - 1 kg pkgs.", "price": 14, "inStock": 26, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 43, "name": "Ipoh Coffee", "supplierId": 20, "categoryId": 1, "quantity": "16 - 500 g tins", "price": 46, "inStock": 17, "onOrder": 10, "reorderLevel": 25, "discontinued": false }, { "id": 44, "name": "Gula Malacca", "supplierId": 20, "categoryId": 2, "quantity": "20 - 2 kg bags", "price": 19.45, "inStock": 27, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 45, "name": "Rogede sild", "supplierId": 21, "categoryId": 8, "quantity": "1k pkg.", "price": 9.5, "inStock": 5, "onOrder": 70, "reorderLevel": 15, "discontinued": false }, { "id": 46, "name": "Spegesild", "supplierId": 21, "categoryId": 8, "quantity": "4 - 450 g glasses", "price": 12, "inStock": 95, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 47, "name": "Zaanse koeken", "supplierId": 22, "categoryId": 3, "quantity": "10 - 4 oz boxes", "price": 9.5, "inStock": 36, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 48, "name": "Chocolade", "supplierId": 22, "categoryId": 3, "quantity": "10 pkgs.", "price": 12.75, "inStock": 15, "onOrder": 70, "reorderLevel": 25, "discontinued": false }, { "id": 49, "name": "Maxilaku", "supplierId": 23, "categoryId": 3, "quantity": "24 - 50 g pkgs.", "price": 20, "inStock": 10, "onOrder": 60, "reorderLevel": 15, "discontinued": false }, { "id": 50, "name": "Valkoinen suklaa", "supplierId": 23, "categoryId": 3, "quantity": "12 - 100 g bars", "price": 16.25, "inStock": 65, "onOrder": 0, "reorderLevel": 30, "discontinued": false }, { "id": 51, "name": "Manjimup Dried Apples", "supplierId": 24, "categoryId": 7, "quantity": "50 - 300 g pkgs.", "price": 53, "inStock": 20, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 52, "name": "Filo Mix", "supplierId": 24, "categoryId": 5, "quantity": "16 - 2 kg boxes", "price": 7, "inStock": 38, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 53, "name": "Perth Pasties", "supplierId": 24, "categoryId": 6, "quantity": "48 pieces", "price": 32.8, "inStock": 0, "onOrder": 0, "reorderLevel": 0, "discontinued": true }, { "id": 54, "name": "Tourtire", "supplierId": 25, "categoryId": 6, "quantity": "16 pies", "price": 7.45, "inStock": 21, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 55, "name": "Pt chinois", "supplierId": 25, "categoryId": 6, "quantity": "24 boxes x 2 pies", "price": 24, "inStock": 115, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 56, "name": "Gnocchi di nonna Alice", "supplierId": 26, "categoryId": 5, "quantity": "24 - 250 g pkgs.", "price": 38, "inStock": 21, "onOrder": 10, "reorderLevel": 30, "discontinued": false }, { "id": 57, "name": "Ravioli Angelo", "supplierId": 26, "categoryId": 5, "quantity": "24 - 250 g pkgs.", "price": 19.5, "inStock": 36, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 58, "name": "Escargots de Bourgogne", "supplierId": 27, "categoryId": 8, "quantity": "24 pieces", "price": 13.25, "inStock": 62, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 59, "name": "Raclette Courdavault", "supplierId": 28, "categoryId": 4, "quantity": "5 kg pkg.", "price": 55, "inStock": 79, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 60, "name": "Camembert Pierrot", "supplierId": 28, "categoryId": 4, "quantity": "15 - 300 g rounds", "price": 34, "inStock": 19, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 61, "name": "Sirop d'rable", "supplierId": 29, "categoryId": 2, "quantity": "24 - 500 ml bottles", "price": 28.5, "inStock": 113, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 62, "name": "Tarte au sucre", "supplierId": 29, "categoryId": 3, "quantity": "48 pies", "price": 49.3, "inStock": 17, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 63, "name": "Vegie-spread", "supplierId": 7, "categoryId": 2, "quantity": "15 - 625 g jars", "price": 43.9, "inStock": 24, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 64, "name": "Wimmers gute Semmelkndel", "supplierId": 12, "categoryId": 5, "quantity": "20 bags x 4 pieces", "price": 33.25, "inStock": 22, "onOrder": 80, "reorderLevel": 30, "discontinued": false }, { "id": 65, "name": "Louisiana Fiery Hot Pepper Sauce", "supplierId": 2, "categoryId": 2, "quantity": "32 - 8 oz bottles", "price": 21.05, "inStock": 76, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 66, "name": "Louisiana Hot Spiced Okra", "supplierId": 2, "categoryId": 2, "quantity": "24 - 8 oz jars", "price": 17, "inStock": 4, "onOrder": 100, "reorderLevel": 20, "discontinued": false }, { "id": 67, "name": "Laughing Lumberjack Lager", "supplierId": 16, "categoryId": 1, "quantity": "24 - 12 oz bottles", "price": 14, "inStock": 52, "onOrder": 0, "reorderLevel": 10, "discontinued": false }, { "id": 68, "name": "Scottish Longbreads", "supplierId": 8, "categoryId": 3, "quantity": "10 boxes x 8 pieces", "price": 12.5, "inStock": 6, "onOrder": 10, "reorderLevel": 15, "discontinued": false }, { "id": 69, "name": "Gudbrandsdalsost", "supplierId": 15, "categoryId": 4, "quantity": "10 kg pkg.", "price": 36, "inStock": 26, "onOrder": 0, "reorderLevel": 15, "discontinued": false }, { "id": 70, "name": "Outback Lager", "supplierId": 7, "categoryId": 1, "quantity": "24 - 355 ml bottles", "price": 15, "inStock": 15, "onOrder": 10, "reorderLevel": 30, "discontinued": false }, { "id": 71, "name": "Flotemysost", "supplierId": 15, "categoryId": 4, "quantity": "10 - 500 g pkgs.", "price": 21.5, "inStock": 26, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 72, "name": "Mozzarella di Giovanni", "supplierId": 14, "categoryId": 4, "quantity": "24 - 200 g pkgs.", "price": 34.8, "inStock": 14, "onOrder": 0, "reorderLevel": 0, "discontinued": false }, { "id": 73, "name": "Rd Kaviar", "supplierId": 17, "categoryId": 8, "quantity": "24 - 150 g jars", "price": 15, "inStock": 101, "onOrder": 0, "reorderLevel": 5, "discontinued": false }, { "id": 74, "name": "Longlife Tofu", "supplierId": 4, "categoryId": 7, "quantity": "5 kg pkg.", "price": 10, "inStock": 4, "onOrder": 20, "reorderLevel": 5, "discontinued": false }, { "id": 75, "name": "Rhnbru Klosterbier", "supplierId": 12, "categoryId": 1, "quantity": "24 - 0.5 l bottles", "price": 7.75, "inStock": 125, "onOrder": 0, "reorderLevel": 25, "discontinued": false }, { "id": 76, "name": "Lakkalikri", "supplierId": 23, "categoryId": 1, "quantity": "500 ml", "price": 18, "inStock": 57, "onOrder": 0, "reorderLevel": 20, "discontinued": false }, { "id": 77, "name": "Original Frankfurter grne Soe", "supplierId": 12, "categoryId": 2, "quantity": "12 boxes", "price": 13, "inStock": 32, "onOrder": 0, "reorderLevel": 15, "discontinued": false }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 17', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.distinct(p => ({ category: p.category.name })).sort(p => p.category)';
        const expected = [{ "category": "Beverages" }, { "category": "Condiments" }, { "category": "Confections" }, { "category": "Dairy Products" }, { "category": "Grains/Cereals" }, { "category": "Meat/Poultry" }, { "category": "Produce" }, { "category": "Seafood" }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('query 18', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Products.distinct(p => ({ quantity: p.quantity, category: p.category.name })).sort(p => [p.quantity, p.category])';
        const expected = [{ "quantity": "1 kg pkg.", "category": "Dairy Products" }, { "quantity": "10 - 200 g glasses", "category": "Seafood" }, { "quantity": "10 - 4 oz boxes", "category": "Confections" }, { "quantity": "10 - 500 g pkgs.", "category": "Dairy Products" }, { "quantity": "10 boxes x 12 pieces", "category": "Confections" }, { "quantity": "10 boxes x 20 bags", "category": "Beverages" }, { "quantity": "10 boxes x 8 pieces", "category": "Confections" }, { "quantity": "10 kg pkg.", "category": "Dairy Products" }, { "quantity": "10 pkgs.", "category": "Confections" }, { "quantity": "100 - 100 g pieces", "category": "Confections" }, { "quantity": "100 - 250 g bags", "category": "Confections" }, { "quantity": "12 - 1 lb pkgs.", "category": "Produce" }, { "quantity": "12 - 100 g bars", "category": "Confections" }, { "quantity": "12 - 100 g pkgs", "category": "Dairy Products" }, { "quantity": "12 - 12 oz cans", "category": "Seafood" }, { "quantity": "12 - 12 oz jars", "category": "Condiments" }, { "quantity": "12 - 200 ml jars", "category": "Seafood" }, { "quantity": "12 - 250 g pkgs.", "category": "Grains/Cereals" }, { "quantity": "12 - 355 ml cans", "category": "Beverages" }, { "quantity": "12 - 500 g pkgs.", "category": "Seafood" }, { "quantity": "12 - 550 ml bottles", "category": "Condiments" }, { "quantity": "12 - 75 cl bottles", "category": "Beverages" }, { "quantity": "12 - 8 oz jars", "category": "Condiments" }, { "quantity": "12 boxes", "category": "Condiments" }, { "quantity": "15 - 300 g rounds", "category": "Dairy Products" }, { "quantity": "15 - 625 g jars", "category": "Condiments" }, { "quantity": "16 - 2 kg boxes", "category": "Grains/Cereals" }, { "quantity": "16 - 500 g tins", "category": "Beverages" }, { "quantity": "16 kg pkg.", "category": "Seafood" }, { "quantity": "16 pies", "category": "Meat/Poultry" }, { "quantity": "18 - 500 g pkgs.", "category": "Meat/Poultry" }, { "quantity": "1k pkg.", "category": "Seafood" }, { "quantity": "2 kg box", "category": "Seafood" }, { "quantity": "20 - 1 kg tins", "category": "Meat/Poultry" }, { "quantity": "20 - 2 kg bags", "category": "Condiments" }, { "quantity": "20 - 450 g glasses", "category": "Confections" }, { "quantity": "20 bags x 4 pieces", "category": "Grains/Cereals" }, { "quantity": "24 - 0.5 l bottles", "category": "Beverages" }, { "quantity": "24 - 12 oz bottles", "category": "Beverages" }, { "quantity": "24 - 150 g jars", "category": "Seafood" }, { "quantity": "24 - 200 g pkgs.", "category": "Dairy Products" }, { "quantity": "24 - 250 g  jars", "category": "Seafood" }, { "quantity": "24 - 250 g pkgs.", "category": "Grains/Cereals" }, { "quantity": "24 - 250 ml bottles", "category": "Condiments" }, { "quantity": "24 - 355 ml bottles", "category": "Beverages" }, { "quantity": "24 - 4 oz tins", "category": "Seafood" }, { "quantity": "24 - 50 g pkgs.", "category": "Confections" }, { "quantity": "24 - 500 g pkgs.", "category": "Grains/Cereals" }, { "quantity": "24 - 500 ml bottles", "category": "Condiments" }, { "quantity": "24 - 8 oz jars", "category": "Condiments" }, { "quantity": "24 boxes x 2 pies", "category": "Meat/Poultry" }, { "quantity": "24 pieces", "category": "Seafood" }, { "quantity": "24 pkgs. x 4 pieces", "category": "Confections" }, { "quantity": "25 - 825 g cans", "category": "Produce" }, { "quantity": "30 gift boxes", "category": "Confections" }, { "quantity": "32 - 1 kg pkgs.", "category": "Grains/Cereals" }, { "quantity": "32 - 500 g boxes", "category": "Confections" }, { "quantity": "32 - 8 oz bottles", "category": "Condiments" }, { "quantity": "36 boxes", "category": "Condiments" }, { "quantity": "4 - 450 g glasses", "category": "Seafood" }, { "quantity": "40 - 100 g pkgs.", "category": "Produce" }, { "quantity": "48 - 6 oz jars", "category": "Condiments" }, { "quantity": "48 pieces", "category": "Meat/Poultry" }, { "quantity": "48 pies", "category": "Confections" }, { "quantity": "5 kg pkg.", "category": "Dairy Products" }, { "quantity": "5 kg pkg.", "category": "Produce" }, { "quantity": "50 - 300 g pkgs.", "category": "Produce" }, { "quantity": "50 bags x 30 sausgs.", "category": "Meat/Poultry" }, { "quantity": "500 g", "category": "Dairy Products" }, { "quantity": "500 ml", "category": "Beverages" }, { "quantity": "750 cc per bottle", "category": "Beverages" }];
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
});
//# sourceMappingURL=query.test.js.map